Bug 249424 - uncaught error in virt-install at virtual CD image question
Summary: uncaught error in virt-install at virtual CD image question
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst   
(Show other bugs)
Version: 5.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-24 16:50 UTC by R P Herrold
Modified: 2009-12-14 21:17 UTC (History)
1 user (show)

Fixed In Version: RHEA-2008-0371
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 16:44:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
5.2 virtinst validation overhaul which fixes this issue (17.88 KB, application/octet-stream)
2008-01-03 22:27 UTC, Cole Robinson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2008:0371 normal SHIPPED_LIVE python-virtinst enhancement and bug fix update 2008-05-20 13:36:35 UTC

Description R P Herrold 2007-07-24 16:50:47 UTC
Clearly the python code knows what it wants, and _could_ have not faulted, as is
shown in the error message, but did so rather than offering a retry.  It sould
recover from this error.

[root@amd64 ~]# virt-install
Would you like a fully virtualized guest (yes or no)?  This will allow you to
run unmodified operating systems. yes
 What is the name of your virtual machine? russ1
 How much RAM should be allocated (in megabytes)? 1000
 What would you like to use as the disk (path)? /var/zen/russ-disk
 How large would you like the disk (/var/zen/russ-disk) to be (in gigabytes)? 5
 Would you like to enable graphics support? (yes or no) n
 What would you like to use for the virtual CD image?
/var/ftp/pub/mirror/centos/centos-5/5.0/iso/x86_64/CentOS-5.0-x86_64-bin-1of7.iso
 ERROR:  CD device must exist!
What would you like to use for the virtual CD image? /var/zen/cd1


Starting install...
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 447, in ?
    main()
  File "/usr/sbin/virt-install", line 411, in main
    dom = guest.start_install(conscb)
  File "/usr/lib/python2.4/site-packages/virtinst/XenGuest.py", line 365, in
start_install
    cxml = self._get_config_xml()
  File "/usr/lib/python2.4/site-packages/virtinst/FullVirtGuest.py", line 89, in
_get_config_xml
    return """<domain type='xen'>
  File "/usr/lib/python2.4/site-packages/virtinst/FullVirtGuest.py", line 48, in
_get_disk_xml
    disk = XenGuest.XenDisk(self.cdrom, readOnly = True,
device=XenGuest.XenDisk.DEVICE_CDROM)
  File "/usr/lib/python2.4/site-packages/virtinst/XenGuest.py", line 50, in __init__
    raise ValueError, "Must provide a file, not a directory for the disk"
ValueError: Must provide a file, not a directory for the disk
[root@amd64 ~]#

Comment 1 Cole Robinson 2007-10-19 15:25:05 UTC
Patch posted upstream on 10/18/07.

https://www.redhat.com/archives/et-mgmt-tools/2007-October/msg00107.html

Comment 2 RHEL Product and Program Management 2007-10-23 15:44:44 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Cole Robinson 2008-01-03 22:27:34 UTC
Created attachment 290796 [details]
5.2 virtinst validation overhaul which fixes this issue

Comment 5 Cole Robinson 2008-01-07 20:43:34 UTC
Committed and built.

* Fri Jan 04 2008 Cole Robinson <crobinso@redhat.com> - 0.103.0-6.el5
- Validation and error message fixes across the board.
- (rhbz #201948 #249424 #372001 #221542)

Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
python-virtinst-0.103.0-6.el5             dist-5E-qu-candidate  crobinso

Comment 8 errata-xmlrpc 2008-05-21 16:44:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0371.html



Note You need to log in before you can comment on or make changes to this bug.